Bug 997974 - ERROR: INVALID_ZONE when permanently changing zone of interface
ERROR: INVALID_ZONE when permanently changing zone of interface
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 12:20 EDT by Nicholas Nachefski
Modified: 2013-10-02 21:14 EDT (History)
2 users (show)

See Also:
Fixed In Version: firewalld-0.3.5-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 02:47:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicholas Nachefski 2013-08-16 12:20:23 EDT
Getting INAVALID_ZONE error despite using a valid zone.

[root@fw1 ~]# firewall-cmd --permanent --zone=external --change-interface=p5p1
Error: INVALID_ZONE

[root@fw1 ~]# firewall-cmd --permanent --zone=dmz --change-interface=tun0
Error: INVALID_ZONE

[root@fw1 ~]# firewall-cmd --list-all-zones
external (default, active)
  interfaces: p5p1
  sources: 
  services: openvpn
  ports: 
  masquerade: yes
  forward-ports: 
  icmp-blocks: 
  rich rules: 

dmz
  interfaces: 
  sources: 
  services: ftp vnc-server http https ntp kerberos ldaps nfs ssh dns ldap libvirt libvirt-tls
  ports: 3128/tcp
  masquerade: no
  forward-ports: 
  icmp-blocks: redirect echo-reply echo-request destination-unreachable parameter-problem
  rich rules: 



[root@fw1 ~]# rpm -q firewalld
firewalld-0.3.4-1.fc19.noarch
Comment 1 Jiri Popelka 2013-08-16 12:54:06 EDT
Thanks.

Should be fixed upstream with
https://git.fedorahosted.org/cgit/firewalld.git/commit/?id=a9facac3bbc6dc8a97eaa7f89e1985a40170c4e0
Comment 2 Fedora Update System 2013-09-30 08:35:15 EDT
firewalld-0.3.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/firewalld-0.3.5-1.fc20
Comment 3 Fedora Update System 2013-09-30 08:38:18 EDT
firewalld-0.3.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/firewalld-0.3.5-1.fc19
Comment 4 Fedora Update System 2013-09-30 22:01:32 EDT
Package firewalld-0.3.5-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firewalld-0.3.5-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17984/firewalld-0.3.5-1.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-10-02 02:47:17 EDT
firewalld-0.3.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-10-02 21:14:38 EDT
firewalld-0.3.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.